Package org.springframework.cache.config

# Class CacheManagementConfigUtils

java.lang.Object
org.springframework.cache.config.CacheManagementConfigUtils

public abstract class CacheManagementConfigUtils extends Object
Configuration constants for internal sharing across subpackages.

Since:
  4.1
Author:
  Juergen Hoeller

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CACHE_ADVISOR_BEAN_NAME`
The name of the cache advisor bean.
`static final String`
`CACHE_ASPECT_BEAN_NAME`
The name of the cache aspect bean.
`static final String`
`JCACHE_ADVISOR_BEAN_NAME`
The name of the JCache advisor bean.
`static final String`
`JCACHE_ASPECT_BEAN_NAME`
The name of the JCache advisor bean.

## Constructor Summary

Constructors
Constructor
Description
`CacheManagementConfigUtils()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CACHE_ADVISOR_BEAN_NAME

public static final String CACHE_ADVISOR_BEAN_NAME
The name of the cache advisor bean.

See Also:
  - Constant Field Values

### CACHE_ASPECT_BEAN_NAME

public static final String CACHE_ASPECT_BEAN_NAME
The name of the cache aspect bean.

See Also:
  - Constant Field Values

### JCACHE_ADVISOR_BEAN_NAME

public static final String JCACHE_ADVISOR_BEAN_NAME
The name of the JCache advisor bean.

See Also:
  - Constant Field Values

### JCACHE_ASPECT_BEAN_NAME

public static final String JCACHE_ASPECT_BEAN_NAME
The name of the JCache advisor bean.

See Also:
  - Constant Field Values

## Constructor Details

### CacheManagementConfigUtils

public CacheManagementConfigUtils()